CREATE ROLE sql_injection_user WITH ENCRYPTED PASSWORD 'sql_injection';
ALTER ROLE sql_injection_user WITH LOGIN; -- By default, users cannot log in.

CREATE DATABASE sql_injection WITH OWNER sql_injection_user;
-- ALTER DATABASE sql_injection ONWER TO sql_injection;

REVOKE ALL PRIVILEGES ON DATABASE sql_injection FROM sql_injection_user; 
GRANT CONNECT ON DATABASE sql_injection TO sql_injection_user;

\c sql_injection;

CREATE TABLE Users (
    username varchar(50) PRIMARY KEY NOT NULL,
    password varchar(50) NOT NULL
);

GRANT SELECT ON Users TO sql_injection_user;

INSERT INTO Users VALUES('admin', 'adminpassword');
INSERT INTO Users VALUES('worker', 'workerpassword');
INSERT INTO Users VALUES('WebCodeGeeks', 'W38C0D3G33K5');
